Accounts

Generate signer message

GEThttps://api.firstleeward.com/v0/accounts/auth-message

Generates a time-limited authentication message that must be signed by the end-user's wallet to prove key ownership. The signed message is required when creating an account (POST /accounts). Messages expire after 15 minutes.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Response

200Response for status 200
messagestringrequired

JSON message to be signed by the user wallet

timestampstringrequired

ISO 8601 timestamp of message generation

expiresAtstringrequired

ISO 8601 timestamp of message expiration